class BluetoothModel {
  String title;
  String serialNo;
  int cardInjection;
  String address;
  String? name;

  BluetoothModel({
    required this.title,
    required this.serialNo,
    this.name,
    required this.cardInjection,
    required this.address,
  });

  factory BluetoothModel.fromJson(Map<String, dynamic> json) => BluetoothModel(
        title: json["title"],
        serialNo: json["serialNo"],
        name: json['name'],
        cardInjection: json["card_injection"],
        address: json["address"],
      );

  Map<String, dynamic> toJson() => {
        "title": title,
        "name": name,
        "serialNo": serialNo,
        "card_injection": cardInjection,
        "address": address,
      };
}
